# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, proxychecker)

# начало теста
test.echo_header('is_valid_by_port_filter')

ip = '85.143.173.198:8444'
filter = '8444'
mode = 'allow'
is_valid = proxychecker.is_valid_by_port_filter(ip, filter, mode)
print(f'ip: {ip}')
print(f'filter: {filter}')
print(f'mode: {mode}')
print(f'is_valid: {is_valid}\n')

mode2 = 'prohibit'
is_valid2 = proxychecker.is_valid_by_port_filter(ip, filter, mode2)
print(f'mode2: {mode2}')
print(f'is_valid2: {is_valid2}')

# конец теста
print('\n<hr><br>')

# выход
app.quit()
