# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, proxychecker)

# начало теста
test.echo_header('common')

url = 'https://proxyscrape.com/free-proxy-list'
proxy_cnt = proxychecker.add_proxies_from_url(url)
print(f'url: {url}')
print(f'proxy count: {proxy_cnt}')

res = proxychecker.run()
print(f'result: {res}')

cnt = proxychecker.get_count_proxy('good')
print(f'good proxy count: {cnt}')

for number in range(1, int(cnt) + 1):
    xproxy = proxychecker.get_proxy(number, 'good')
    print(f'good proxy {number}: {xproxy}')

# конец теста
print('\n<hr><br>')

# выход
app.quit()
